Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364740 - performance/write-behind should respect window-size & trickling-writes should be configurable
Summary: performance/write-behind should respect window-size & trickling-writes should...
Keywords:
Status: CLOSED EOL
Alias: None
Product: GlusterFS
Classification: Community
Component: write-behind
Version: 3.8
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
Assignee: Raghavendra Talur
QA Contact: storage-qa-internal@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 1426042 1512080
TreeView+ depends on / blocked
 
Reported: 2016-08-06 20:47 UTC by Shreyas Siravara
Modified: 2017-12-28 05:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1426042 1512080 (view as bug list)
Environment:
Last Closed: 2017-11-07 10:37:11 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)
Suggested patch (deleted)
2016-08-06 20:47 UTC, Shreyas Siravara
no flags Details

Description Shreyas Siravara 2016-08-06 20:47:22 UTC
Created attachment 1188255 [details]
Suggested patch

Description of problem:
- window-size option does not work when it is > 128KB
- trickling-writes is not configurable


Version-Release number of selected component (if applicable): 3.8


How reproducible: Always


Steps to Reproduce:
1. Write a 1MB file to a gluster mount and observe write sizes on the bricks.

Actual results: Write sizes are always buffered into 'page-size' (128KB) chunks rather than 'window-size' chunks.

Expected results: We expect the window-size to be respected and the writes buffered accordingly.


Additional info:

Comment 2 Niels de Vos 2016-09-12 05:40:00 UTC
All 3.8.x bugs are now reported against version 3.8 (without .x). For more information, see http://www.gluster.org/pipermail/gluster-devel/2016-September/050859.html

Comment 3 Niels de Vos 2017-11-07 10:37:11 UTC
This bug is getting closed because the 3.8 version is marked End-Of-Life. There will be no further updates to this version. Please open a new bug against a version that still receives bugfixes if you are still facing this issue in a more current release.


Note You need to log in before you can comment on or make changes to this bug.